# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Ansteuern es externen Motors ähnlich wie in demoMotorPortCD.
# Der Wert für die Drehzahl ist ein Float zwischen -1 und +1 und hier fest auf +1 bzw. -1
# Funktioniert nur mit BlueGiga!
# 28.5.18, S. Mack

from pylegoboost import movehub
from time import sleep

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs

print('Ansteuern des externen Motors (Dauerlauf):')

hub = movehub.MoveHub(hub_mac=HUB_MAC)

hub.motor_external.constant(0.8)
sleep(2)
hub.motor_external.stop() # Alternativ hub.motor_external.constant(0)

hub.disconnect() # BLE-Verbindung beenden
