# Modul mit Utilities, die von mehreren anderen Modulen per import eingebunden
# werden. Dieser Quelltext war ursprünglich in constants py mit enthalten.
# S. Mack, 8.4.2018


import binascii
from struct import pack, unpack

def usbyte(seq, index):
    return unpack("<B", seq[index:index + 1])[0]

def ushort(seq, index):
    return unpack("<H", seq[index:index + 2])[0]

# Wieso noetig? .hex() liefert das gleiche Ergebnis
def str2hex(data):
    return binascii.hexlify(data).decode("utf8")