# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Ausgabe der am MoveHub detektieren Peripherie
# 28.5.18, S. Mack

from pylegoboost import movehub

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs

hub = movehub.MoveHub(hub_mac=HUB_MAC)

print('Folgende Peripherie wurde am MoveHub detektiert:')
for device in hub.devices:
    print(hub.devices[device])

hub.disconnect() # BLE-Verbindung beenden
